package com.bwie.product.service;

import java.util.List;
import com.bwie.product.domain.MallProductCategoryInfo;

/**
 * 商品类型Service接口
 * 
 * @author bwie
 * @date 2023-12-24
 */
public interface IMallProductCategoryInfoService 
{
    /**
     * 查询商品类型
     * 
     * @param id 商品类型主键
     * @return 商品类型
     */
    public MallProductCategoryInfo selectMallProductCategoryInfoById(Long id);

    /**
     * 查询商品类型列表
     * 
     * @param mallProductCategoryInfo 商品类型
     * @return 商品类型集合
     */
    public List<MallProductCategoryInfo> selectMallProductCategoryInfoList(MallProductCategoryInfo mallProductCategoryInfo);

    /**
     * 新增商品类型
     * 
     * @param mallProductCategoryInfo 商品类型
     * @return 结果
     */
    public int insertMallProductCategoryInfo(MallProductCategoryInfo mallProductCategoryInfo);

    /**
     * 修改商品类型
     * 
     * @param mallProductCategoryInfo 商品类型
     * @return 结果
     */
    public int updateMallProductCategoryInfo(MallProductCategoryInfo mallProductCategoryInfo);

    /**
     * 批量删除商品类型
     * 
     * @param ids 需要删除的商品类型主键集合
     * @return 结果
     */
    public int deleteMallProductCategoryInfoByIds(Long[] ids);

    /**
     * 删除商品类型信息
     * 
     * @param id 商品类型主键
     * @return 结果
     */
    public int deleteMallProductCategoryInfoById(Long id);
}
